<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>PersistentAuditEvent.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.domain</a> &gt; <span class="el_source">PersistentAuditEvent.java</span></div><h1>PersistentAuditEvent.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.domain;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.Instant;
import java.util.HashMap;
import java.util.Objects;
import java.util.Map;

/**
 * Persist AuditEvent managed by the Spring Boot actuator.
 *
 * @see org.springframework.boot.actuate.audit.AuditEvent
 */
@Entity
@Table(name = &quot;jhi_persistent_audit_event&quot;)
<span class="fc" id="L18">public class PersistentAuditEvent implements Serializable {</span>

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = &quot;sequenceGenerator&quot;)
    @SequenceGenerator(name = &quot;sequenceGenerator&quot;)
    @Column(name = &quot;event_id&quot;)
    private Long id;

    @NotNull
    @Column(nullable = false)
    private String principal;

    @Column(name = &quot;event_date&quot;)
    private Instant auditEventDate;

    @Column(name = &quot;event_type&quot;)
    private String auditEventType;

<span class="fc" id="L38">    @ElementCollection</span>
    @MapKeyColumn(name = &quot;name&quot;)
    @Column(name = &quot;value&quot;)
    @CollectionTable(name = &quot;jhi_persistent_audit_evt_data&quot;, joinColumns=@JoinColumn(name=&quot;event_id&quot;))
    private Map&lt;String, String&gt; data = new HashMap&lt;&gt;();

    public Long getId() {
<span class="fc" id="L45">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L49">        this.id = id;</span>
<span class="fc" id="L50">    }</span>

    public String getPrincipal() {
<span class="fc" id="L53">        return principal;</span>
    }

    public void setPrincipal(String principal) {
<span class="fc" id="L57">        this.principal = principal;</span>
<span class="fc" id="L58">    }</span>

    public Instant getAuditEventDate() {
<span class="fc" id="L61">        return auditEventDate;</span>
    }

    public void setAuditEventDate(Instant auditEventDate) {
<span class="fc" id="L65">        this.auditEventDate = auditEventDate;</span>
<span class="fc" id="L66">    }</span>

    public String getAuditEventType() {
<span class="fc" id="L69">        return auditEventType;</span>
    }

    public void setAuditEventType(String auditEventType) {
<span class="fc" id="L73">        this.auditEventType = auditEventType;</span>
<span class="fc" id="L74">    }</span>

    public Map&lt;String, String&gt; getData() {
<span class="fc" id="L77">        return data;</span>
    }

    public void setData(Map&lt;String, String&gt; data) {
<span class="fc" id="L81">        this.data = data;</span>
<span class="fc" id="L82">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="fc bfc" id="L86" title="All 2 branches covered.">        if (this == o) {</span>
<span class="fc" id="L87">            return true;</span>
        }
<span class="fc bfc" id="L89" title="All 4 branches covered.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="fc" id="L90">            return false;</span>
        }

<span class="fc" id="L93">        PersistentAuditEvent persistentAuditEvent = (PersistentAuditEvent) o;</span>
<span class="fc bfc" id="L94" title="All 6 branches covered.">        return !(persistentAuditEvent.getId() == null || getId() == null) &amp;&amp; Objects.equals(getId(), persistentAuditEvent.getId());</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L99">        return Objects.hashCode(getId());</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L104">        return &quot;PersistentAuditEvent{&quot; +</span>
            &quot;principal='&quot; + principal + '\'' +
            &quot;, auditEventDate=&quot; + auditEventDate +
            &quot;, auditEventType='&quot; + auditEventType + '\'' +
            '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>